CVE-2023-50658

NameCVE-2023-50658
DescriptionThe jose2go component before 1.6.0 for Go allows attackers to cause a denial of service (CPU consumption) via a large p2c (aka PBES2 Count) value.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1059507

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
golang-github-dvsekhvalnov-jose2go (PTS)buster1.3-1vulnerable
trixie, sid, bookworm, bullseye1.5-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
golang-github-dvsekhvalnov-jose2gosource(unstable)(unfixed)1059507

Notes

[bookworm] - golang-github-dvsekhvalnov-jose2go <no-dsa> (Minor issue)
[bullseye] - golang-github-dvsekhvalnov-jose2go <no-dsa> (Minor issue)
[buster] - golang-github-dvsekhvalnov-jose2go <no-dsa> (Minor issue)
https://github.com/dvsekhvalnov/jose2go/commit/a4584e9dd7128608fedbc67892eba9697f0d5317 (v1.6.0)

Search for package or bug name: Reporting problems